#include "bumppointlightprogram.h"

void BumpPointLightProgram::Initialize(const char *vertex_shader_file,
                                      const char *fragment_shader_file){
    PointLightProgram::Initialize(vertex_shader_file, fragment_shader_file);
    bump_texture_unit_location_ = GetUniformLocationOrDie("bump_texture_unit");

}

void BumpPointLightProgram::SetBumpTextureUnit(GLint t) const{
    glUniform1i(bump_texture_unit_location_, t);
}
